For the complete documentation index, see llms.txt. This page is also available as Markdown.

List property options

List all options available on this property.

get
/tenants/{tenantUid}/properties/{propertyUid}/options
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
propertyUidstringRequired

Reference to a product property definition

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
propertyOptionNamestringOptional

Partial filter on propertyOptionName. If you filter for "red" it will return all options containing "red"

Responses
200

Example response

application/json
get/tenants/{tenantUid}/properties/{propertyUid}/options
GET /v2/tenants/{tenantUid}/properties/{propertyUid}/options HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "propertyUid": "text",
      "propertyName": "text",
      "propertyOptionUid": "text",
      "propertyOptionName": "text",
      "externalId": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?